// add to MS sample program from DX 9 SDK
// in HRESULT HandleNotification()
// after CopyMemory( pDSOutputLockedBuffer ...

	unsigned long i;
	for(i=0; i<dwDSOutputLockedBufferSize/4; ++i)
	{
		// What's the time?
		static double t = 0.0;
		t += 1/44100.0;

		// quick access to our samples
		short* left = 2*i+(short*)pDSOutputLockedBuffer;
		short* right = 2*i+1+(short*)pDSOutputLockedBuffer;

		// a very low-frequency low pass filter
		// to determine the DC offset
		static double leftLP = 0.0;
		leftLP = 0.9999*leftLP + 0.0001*(*left);
		static double rightLP = 0.0;
		rightLP = 0.9999*rightLP + 0.0001*(*right);

		// modulate by 300 Hz sine wave: roboter voice;
		// *left - leftLP etc. to remove DC offset
		// of cheap sound card
		double m = sin(6.28*t*300.0);
		*left = (short)(m * (*left - leftLP));
		*right = (short)(m * (*right - rightLP));
	}

